Bug 833204 - Review Request: python-pyramid-tm - Allows pyramid requests to join the active transaction
Summary: Review Request: python-pyramid-tm - Allows pyramid requests to join the activ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 17
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-18 21:17 UTC by Ross Delinger
Modified: 2014-10-13 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-06 17:56:09 UTC
Type: ---
rbean: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ross Delinger 2012-06-18 21:17:10 UTC
Spec URL: http://www.csh.rit.edu/~rossdylan/rpms/python-pyramid-tm/python-pyramid-tm.spec
SRPM URL: http://www.csh.rit.edu/~rossdylan/rpms/python-pyramid-tm/python-pyramid-tm-0.4-1.fc17.src.rpm
Description: A package which allows Pyramid requests to join the active transaction as provided by the python-transaction package.
Fedora Account System Username: rossdylan

Comment 1 Ross Delinger 2012-06-18 21:19:10 UTC
Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4175173

Comment 2 Ralph Bean 2012-06-20 19:43:07 UTC
I'll take this one.

Comment 3 Ralph Bean 2012-06-20 20:12:30 UTC
A couple issues before I can approve it.

MUST:
  - The description is too long.  It should be 1-2 paragraphs.
  - The changelog is incorrectly formatted, entries should begin with something
    like:
        * Wed Jun 20 2012 Ralph Bean <rbean@redhat.com> - 0.4-1

SHOULD:
  - This package has unit tests.  You should run them in a %check section.  See
    other python spec files for an example.

SUGGESTIONS:
  - Use %{modname} and %{version} in the Source0 field.  This makes future
    updates to your package a breeze.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[!]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "UNKNOWN", "*No copyright* UNKNOWN" For detailed output of licensecheck
     see file: /home/threebean/reviews/833204-python-pyramid-
     tm/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[-]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-pyramid-tm-0.4-1.fc17.noarch.rpm
          python-pyramid-tm-0.4-1.fc17.src.rpm
python-pyramid-tm.noarch: W: spelling-error %description -l en_US http -> HTTP
python-pyramid-tm.noarch: W: spelling-error %description -l en_US pypi -> typify
python-pyramid-tm.noarch: W: spelling-error %description -l en_US pylonsproject -> pylons project, pylons-project, projectionist
python-pyramid-tm.noarch: W: spelling-error %description -l en_US dev -> deb, derv, div
python-pyramid-tm.noarch: W: spelling-error %description -l en_US rst -> est, rat, rs
python-pyramid-tm.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python-pyramid-tm.noarch: W: spelling-error %description -l en_US tox -> to, ox, toe
python-pyramid-tm.noarch: W: spelling-error %description -l en_US ini -> uni, in, ii
python-pyramid-tm.noarch: W: spelling-error %description -l en_US retryable -> retry able, retry-able, retractable
python-pyramid-tm.noarch: W: spelling-error %description -l en_US repoze -> repose, refroze
python-pyramid-tm.noarch: W: spelling-error %description -l en_US webob -> we bob, we-bob, web ob
python-pyramid-tm.noarch: W: spelling-error %description -l en_US environ -> environs, environment
python-pyramid-tm.noarch: W: spelling-error %description -l en_US bwcompat -> compatible
python-pyramid-tm.noarch: W: spelling-error %description -l en_US headerlist -> header list, header-list, headmistress
python-pyramid-tm.src: W: spelling-error %description -l en_US http -> HTTP
python-pyramid-tm.src: W: spelling-error %description -l en_US pypi -> typify
python-pyramid-tm.src: W: spelling-error %description -l en_US pylonsproject -> pylons project, pylons-project, projectionist
python-pyramid-tm.src: W: spelling-error %description -l en_US dev -> deb, derv, div
python-pyramid-tm.src: W: spelling-error %description -l en_US rst -> est, rat, rs
python-pyramid-tm.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python-pyramid-tm.src: W: spelling-error %description -l en_US tox -> to, ox, toe
python-pyramid-tm.src: W: spelling-error %description -l en_US ini -> uni, in, ii
python-pyramid-tm.src: W: spelling-error %description -l en_US retryable -> retry able, retry-able, retractable
python-pyramid-tm.src: W: spelling-error %description -l en_US repoze -> repose, refroze
python-pyramid-tm.src: W: spelling-error %description -l en_US webob -> we bob, we-bob, web ob
python-pyramid-tm.src: W: spelling-error %description -l en_US environ -> environs, environment
python-pyramid-tm.src: W: spelling-error %description -l en_US bwcompat -> compatible
python-pyramid-tm.src: W: spelling-error %description -l en_US headerlist -> header list, header-list, headmistress
2 packages and 0 specfiles checked; 0 errors, 28 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint python-pyramid-tm
python-pyramid-tm.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-pyramid-tm-0.4-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-pyramid  
    python-transaction  

Provides
--------
python-pyramid-tm-0.4-1.fc17.noarch.rpm:
    
    python-pyramid-tm = 0.4-1.fc17

MD5-sum check
-------------
/home/threebean/reviews/833204-python-pyramid-tm/upstream/pyramid_tm-0.4.tar.gz :
  MD5SUM this package     : e17cbe0bb2bfcc750ae691df1a82ce10
  MD5SUM upstream package : e17cbe0bb2bfcc750ae691df1a82ce10


Generated by fedora-review 0.2.0git
External plugins:

Comment 4 Ross Delinger 2012-06-20 20:43:36 UTC
All but unit tests fixed in the latest version

Comment 5 Ross Delinger 2012-06-20 21:44:32 UTC
Currently blocking on the need for an updated python-pyramid version. Current repository version is 1.1.2, python-pyramid-tm 0.4 requires python-pyramid 1.2dev

Comment 6 Ralph Bean 2012-06-21 15:48:12 UTC
You might create a ticket for the update to python-pyramid and mark this ticket as blocking on that one.

Comment 7 Ross Delinger 2012-06-27 15:32:06 UTC
python-pyramid is now at version 1.2.7 which unblocks this.

Comment 8 Ralph Bean 2012-06-27 22:32:42 UTC
Looks good.  Approved!

For future reference, you should bump the revision number in your spec file and create a new entry in the changelog for each iteration of the review.  That helps the reviewer understand just what you changed, item-by-item.

Comment 9 Ross Delinger 2012-06-27 23:27:00 UTC
New Package SCM Request
=======================
Package Name: python-pyramid-tm
Short Description: Allows pyramid requests to join the active transaction
Owners: rossdylan
Branches: f17 el6
InitialCC: rossdylan

Comment 10 Gwyn Ciesla 2012-06-28 01:29:15 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-06-28 14:48:15 UTC
python-pyramid-tm-0.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pyramid-tm-0.4-1.fc17

Comment 12 Fedora Update System 2012-06-30 22:11:10 UTC
python-pyramid-tm-0.4-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2013-03-25 22:55:25 UTC
python-pyramid-tm-0.4-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Ralph Bean 2014-10-13 16:46:33 UTC
Package Change Request
======================
Package Name: python-pyramid-tm
New Branches: epel7
Owners: ralph

Comment 15 Kevin Fenzi 2014-10-13 23:05:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.